Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr.iter
Class IterableAxis

    java.lang.Object
      org.jaxen.expr.iter.IterableAxis

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  IterableAncestorAxis, IterableAncestorOrSelfAxis, IterableAttributeAxis, IterableChildAxis, IterableDescendantAxis, IterableDescendantOrSelfAxis, IterableFollowingAxis, IterableFollowingSiblingAxis, IterableNamespaceAxis, IterableParentAxis, IterablePrecedingAxis, IterablePrecedingSiblingAxis, IterableSelfAxis

public abstract class IterableAxis
extends Object
implements Serializable

Provide access to the XPath axes.

Author:
  Bob McWhirter, James Strachan, Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`IterableAxis(int axisValue)` Constructor.

Method Summary
`abstract Iterator` | `iterator(Object contextNode, ContextSupport support)` Gets the iterator for a specific XPath axis.
`Iterator` | `namedAccessIterator(Object contextNode, ContextSupport support, String localName, String namespacePrefix, String namespaceURI)` Gets the iterator for a specific XPath axis that supports named access.
`boolean` | `supportsNamedAccess(ContextSupport support)` Does this axis support named access?
`int` | `value()` Gets the axis value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IterableAxis

    public IterableAxis(int axisValue)

  Constructor.

Parameters:
  `axisValue` -

Method Detail

### value

    public int value()

  Gets the axis value.

  Returns:
    the axis value

### iterator

    public abstract Iterator iterator(Object contextNode,
                                      ContextSupport support)
                               throws UnsupportedAxisException

  Gets the iterator for a specific XPath axis.

  Parameters:
    `contextNode` - the current context node to work from
    `support` - the additional context information
  Returns:
    an iterator for the axis
  Throws:
    `UnsupportedAxisException`

### namedAccessIterator

    public Iterator namedAccessIterator(Object contextNode,
                                        ContextSupport support,
                                        String localName,
                                        String namespacePrefix,
                                        String namespaceURI)
                                 throws UnsupportedAxisException

  Gets the iterator for a specific XPath axis that supports named access.

  Parameters:
    `contextNode` - the current context node to work from
    `support` - the additional context information
    `localName` - the local name of the nodes to return
    `namespacePrefix` - the prefix of the namespace of the nodes to return
    `namespaceURI` - the URI of the namespace of the nodes to return
  Throws:
    `UnsupportedAxisException`

### supportsNamedAccess

    public boolean supportsNamedAccess(ContextSupport support)

  Does this axis support named access?

  Parameters:
    `support` - the additional context information
  Returns:
    true if named access supported. If not iterator() will be used

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.